## ros-melodic-swri-transform-util 2.15.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(swri_transform_util)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_msgs
  geographic_msgs
  geometry_msgs
  gps_common
  marti_nav_msgs
  nodelet
  roscpp
  rospy
  swri_math_util
  swri_nodelet
  swri_roscpp
  swri_yaml_util
  tf
  topic_tools
)

catkin_python_setup()

find_package(OpenCV  REQUIRED calib3d core highgui imgproc video)
find_package(Boost REQUIRED COMPONENTS filesystem serialization thread)

# First try pkg-config. Should always work for PROJ >= 8. Should work with older
# versions if they were installed with autotools
find_package(PkgConfig REQUIRED)
pkg_check_modules(PROJ proj)

# Next, try CMake, which should work if PROJ was installed with CMake
if(NOT "${PROJ_FOUND}")
  unset(PROJ_FOUND CACHE)
  find_package(PROJ)
endif()

# Lastly, try to find the library directly, for backwards compatibility
if(NOT "${PROJ_FOUND}")
  set(PROJ_INCLUDE_DIRS /usr/include)
  set(PROJ_LIBRARY_DIRS /usr/lib)
  find_library(PROJ_LIBRARIES proj
    HINTS ${PROJ_LIB_DIRS}
  )
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    diagnostic_msgs
    geographic_msgs
    geometry_msgs
    gps_common
    marti_nav_msgs
    nodelet
    roscpp
    rospy
    swri_math_util
    swri_nodelet
    swri_roscpp
    swri_yaml_util
    tf
    topic_tools
  DEPENDS Boost PROJ
)

include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS} 
  ${PROJ_INCLUDE_DIRS}
)

function(set_cxx_props targ)
  if ($ENV{ROS_DISTRO} STREQUAL "kinetic")
    set_target_properties(${targ} PROPERTIES
      CXX_STANDARD 11
      CXX_STANDARD_REQUIRED ON)
  endif()
endfunction()

add_library(${PROJECT_NAME}
  src/georeference.cpp
  src/local_xy_util.cpp
  src/utm_util.cpp
  src/transform.cpp
  src/transformer.cpp
  src/transform_manager.cpp
  src/transform_util.cpp
  src/utm_transformer.cpp
  src/wgs84_transformer.cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${PROJ_LIBRARIES}
  Boost::filesystem
  Boost::serialization
  Boost::thread
  opencv_calib3d
  opencv_core
  opencv_highgui
  opencv_imgproc
  opencv_video
)
set_cxx_props(${PROJECT_NAME})
target_compile_definitions(${PROJECT_NAME} PUBLIC "-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H")

add_library(${PROJECT_NAME}_nodelets
  src/nodelets/dynamic_publisher.cpp
  src/nodelets/gps_transform_publisher.cpp
  src/nodelets/object_transformer.cpp)
target_link_libraries(${PROJECT_NAME}_nodelets ${catkin_LIBRARIES} ${PROJECT_NAME})
set_cxx_props(${PROJECT_NAME}_nodelets)
target_compile_definitions(${PROJECT_NAME}_nodelets PRIVATE "-D__STDC_FORMAT_MACROS") 

add_executable(lat_lon_tf_echo src/nodes/lat_lon_tf_echo.cpp)
target_link_libraries(lat_lon_tf_echo ${PROJECT_NAME})
set_cxx_props(lat_lon_tf_echo)

swri_nodelet_add_node(gps_transform_publisher ${PROJECT_NAME} GpsTransformPublisher)
target_link_libraries(gps_transform_publisher ${PROJECT_NAME}_nodelets ${catkin_LIBRARIES})
set_cxx_props(gps_transform_publisher)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  add_rostest_gtest(test_local_xy_util launch/local_xy_util.test test/test_local_xy_util.cpp)
  target_link_libraries(test_local_xy_util ${PROJECT_NAME})
  set_cxx_props(test_local_xy_util)

  add_rostest_gtest(test_utm_util launch/utm_util.test test/test_utm_util.cpp)
  target_link_libraries(test_utm_util ${PROJECT_NAME})
  set_cxx_props(test_utm_util)

  add_rostest_gtest(test_transform_manager launch/transform_manager.test test/test_transform_manager.cpp)
  target_link_libraries(test_transform_manager ${PROJECT_NAME})
  set_cxx_props(test_transform_manager)

  add_rostest_gtest(test_georeference launch/georeference.test test/test_georeference.cpp)
  target_link_libraries(test_georeference ${PROJECT_NAME})
  set_cxx_props(test_georeference)

  add_rostest_gtest(test_transform_util launch/transform_util.test test/test_transform_util.cpp)
  target_link_libraries(test_transform_util ${PROJECT_NAME})
  set_cxx_props(test_transform_util)

  add_rostest(test/initialize_invalid_gps.test)
  add_rostest(test/initialize_invalid_navsat.test)
  add_rostest(test/initialize_origin_auto_custom.test)
  add_rostest(test/initialize_origin_auto_gps.test)
  add_rostest(test/initialize_origin_auto_navsat.test)
  add_rostest(test/initialize_origin_manual.test)
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
    ${PROJECT_NAME}_nodelets
    lat_lon_tf_echo
    gps_transform_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

### Install Python Nodes/Scripts ###
catkin_install_python(PROGRAMS nodes/initialize_origin.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-melodic-swri-transform-util 2.14.2

=== debian/changelog ===
ros-melodic-swri-transform-util (2.14.2-1stretch) stretch; urgency=high

  * stamp local_xy_origin message picked from list with now() (#600 <https://github.com/swri-robotics/marti_common/issues/600>)
  * Contributors: Daniel D'Souza, P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.14.1-1stretch) stretch; urgency=high

  * Fix 90 deg transform (#598 <https://github.com/swri-robotics/marti_common/issues/598>)
  * Contributors: Alex Youngs

 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.14.0-1stretch) stretch; urgency=high

  * Added python support for wgs84 transforms (#595 <https://github.com/swri-robotics/marti_common/issues/595>)
  * Contributors: Alex Youngs

 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.7-1stretch) stretch; urgency=high

  * Improve object transformer to take into account the pose of the object (#589 <https://github.com/swri-robotics/marti_common/issues/589>)
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.6-1stretch) stretch; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.5-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.4-1stretch) stretch; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.3-1stretch) stretch; urgency=high

  * Use setuptools instead of distutils (#583 <https://github.com/swri-robotics/marti_common/issues/583>)
  * Bump minimum cmake version
  * Contributors: Shane Loretz, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.2-1stretch) stretch; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.13.0-1stretch) stretch; urgency=high

  * Fix build with Boost >=1.69 (#574 <https://github.com/swri-robotics/marti_common/issues/574>)
  * Contributors: Ben Wolsieffer

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.12.0-1stretch) stretch; urgency=high

  * Suppress auto_ptr warnings (#570 <https://github.com/swri-robotics/marti_common/issues/570>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-melodic-swri-transform-util (2.11.0-1stretch) stretch; urgency=high

  * Add a nodelet that transforms ObstacleArrays
  * Install gps_transform_publisher node (#551 <https://github.com/pjreed/marti_common/issues/551>)
  * Contributors: Matthew, P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-swri-transform-util (2.10.0-1stretch) stretch; urgency=high

  * Support in initialize_origin.py specifying custom ROS topic in parameter (#544 <https://github.com/swri-robotics/marti_common/issues/544>)
  * Fix get relative transform (#546 <https://github.com/swri-robotics/marti_common/issues/546>)
  * Contributors: Arkady Shapkin, Matthew

 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-swri-transform-util (2.9.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-melodic-swri-transform-util (2.8.0-1stretch) stretch; urgency=high

  * Reduce the number of local_xy subscribers from 3 per transform manager to 1 (#537 <https://github.com/swri-robotics/marti_common/issues/537>)
  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-melodic-swri-transform-util (2.7.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-swri-transform-util (2.7.2-1stretch) stretch; urgency=high

  * Fix the unit test that intermittently breaks (#534 <https://github.com/swri-robotics/marti_common/issues/534>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.7.1-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.7.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.6.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.5.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.4.0-1stretch) stretch; urgency=high

  * Handle invalid fixes properly (#519 <https://github.com/swri-robotics/marti_common/issues/519>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-melodic-swri-transform-util (2.3.0-1stretch) stretch; urgency=high

  * Initialize transform timestamp to 0 instead of ros::Time::now() (#515 <https://github.com/swri-robotics/marti_common/issues/515>)
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 25 May 2018 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-swri-transform-util
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, pkg-config, python-setuptools, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-genpy (>= 0.6.14), ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-marti-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-roscpp, ros-melodic-swri-yaml-util, ros-melodic-tf, ros-melodic-topic-tools
Homepage: https://github.com/swri-robotics/marti_common
Standards-Version: 3.9.2

Package: ros-melodic-swri-transform-util
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, python-numpy, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-genpy (>= 0.6.14), ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-marti-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-roscpp, ros-melodic-swri-yaml-util, ros-melodic-tf, ros-melodic-topic-tools
Description: The swri_transform_util package contains utility functions and classes for transforming between coordinate frames.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-transform-util//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-swri-transform-util 2.15.2

=== debian/changelog ===
ros-melodic-swri-transform-util (2.15.2-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-transform-util (2.14.2-1bionic) bionic; urgency=high

  * stamp local_xy_origin message picked from list with now() (#600 <https://github.com/swri-robotics/marti_common/issues/600>)
  * Contributors: Daniel D'Souza, P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.14.1-1bionic) bionic; urgency=high

  * Fix 90 deg transform (#598 <https://github.com/swri-robotics/marti_common/issues/598>)
  * Contributors: Alex Youngs

 -- Marc Alban <malban@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.14.0-1bionic) bionic; urgency=high

  * Added python support for wgs84 transforms (#595 <https://github.com/swri-robotics/marti_common/issues/595>)
  * Contributors: Alex Youngs

 -- Marc Alban <malban@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.7-1bionic) bionic; urgency=high

  * Improve object transformer to take into account the pose of the object (#589 <https://github.com/swri-robotics/marti_common/issues/589>)
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.6-1bionic) bionic; urgency=high

  * Update catkin dependencies (#588 <https://github.com/swri-robotics/marti_common/issues/588>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.5-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.4-1bionic) bionic; urgency=high

  * Clean up Boost usage (#584 <https://github.com/swri-robotics/marti_common/issues/584>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.3-1bionic) bionic; urgency=high

  * Use setuptools instead of distutils (#583 <https://github.com/swri-robotics/marti_common/issues/583>)
  * Bump minimum cmake version
  * Contributors: Shane Loretz, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.2-1bionic) bionic; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.13.0-1bionic) bionic; urgency=high

  * Fix build with Boost >=1.69 (#574 <https://github.com/swri-robotics/marti_common/issues/574>)
  * Contributors: Ben Wolsieffer

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.12.0-1bionic) bionic; urgency=high

  * Suppress auto_ptr warnings (#570 <https://github.com/swri-robotics/marti_common/issues/570>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-transform-util (2.11.0-1bionic) bionic; urgency=high

  * Add a nodelet that transforms ObstacleArrays
  * Install gps_transform_publisher node (#551 <https://github.com/pjreed/marti_common/issues/551>)
  * Contributors: Matthew, P. J. Reed

 -- Marc Alban <malban@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-transform-util (2.10.0-1bionic) bionic; urgency=high

  * Support in initialize_origin.py specifying custom ROS topic in parameter (#544 <https://github.com/swri-robotics/marti_common/issues/544>)
  * Fix get relative transform (#546 <https://github.com/swri-robotics/marti_common/issues/546>)
  * Contributors: Arkady Shapkin, Matthew

 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-transform-util (2.9.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-transform-util (2.8.0-1bionic) bionic; urgency=high

  * Reduce the number of local_xy subscribers from 3 per transform manager to 1 (#537 <https://github.com/swri-robotics/marti_common/issues/537>)
  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- Marc Alban <malban@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-transform-util (2.7.3-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-transform-util (2.7.2-1bionic) bionic; urgency=high

  * Fix the unit test that intermittently breaks (#534 <https://github.com/swri-robotics/marti_common/issues/534>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-transform-util (2.7.1-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-transform-util (2.7.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-transform-util (2.6.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-transform-util (2.5.0-1bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-transform-util (2.4.0-1bionic) bionic; urgency=high

  * Handle invalid fixes properly (#519 <https://github.com/swri-robotics/marti_common/issues/519>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-transform-util (2.3.0-1bionic) bionic; urgency=high

  * Initialize transform timestamp to 0 instead of ros::Time::now() (#515 <https://github.com/swri-robotics/marti_common/issues/515>)
  * Contributors: Marc Alban



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Marc Alban <malban@swri.org>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, pkg-config, python-setuptools, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-genpy (>= 0.6.14), ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-marti-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-roscpp, ros-melodic-swri-yaml-util, ros-melodic-tf, ros-melodic-topic-tools
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgeos++-dev, libproj-dev, libyaml-cpp-dev, pkg-config, python-setuptools, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-genpy (>= 0.6.14), ros-melodic-geographic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-marti-nav-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-swri-math-util, ros-melodic-swri-nodelet, ros-melodic-swri-roscpp, ros-melodic-swri-yaml-util, ros-melodic-tf, ros-melodic-topic-tools
 Homepage: https://github.com/swri-robotics/marti_common
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
